OS-SCO-OpenSource

From KRayWiki
Jump to navigation Jump to search

Index to SCO OpenServer 5.0.7 topics related to the use of open source projects

See Also: 
OS-SCO-OpenSource-KnownIssues
OS-SCO


Introduction

Topic Goals

This page primarily indexes local wiki pages that aggregate information relating to attempts to build and deploy free software to the OpenServer 5.0.7 platform. While these pages will document successes, it is intended to also show issues, workarounds, and even failures to deploy projects to the platform.

FTP Downloads

A corresponding FTP site related to these pages exists to grant access to resources related to the free software project experiences documented on this wiki.

Development System

The Development System sub-topic attempts to describe the environment used in conjunction with free and open source projects built and deployed to the SCO OpenServer 5.0.7 operating environment.

  • User Environment
  • Installed Packages

GNU

Built and used as part of an updated build system for other free and open source software.

gnulib has facilitated build of some other open source software packages.

Miscellaneous

  • curl 7.63.0
    Built to resolve security vulnerabilities.
    Earlier versions are known to build.
  • cvs 1.11.23
    The "newest" SCO-built alternatives are 1.11.2 and 1.11.6 as provided in their GNU Development Tools packages.
  • groff 1.20
    Built to avoid "Text processing tools (nroff/groff, eqn, tbl) not installed on system" errors when using the `man` command.
    A viable alternative is to install older SCO-built 1.18, or 1.19 versions via their GNU Development Tools packages.
  • libssh2 1.1, 1.2.4, and 1.8.0 built
    Used as a curl dependency.
  • openssh 7.7p1
    Built to address ssh vulnerabilities and gain improved ssh-agent functionality.
  • openssl 1.0.2q
    1.0.2o is also known to build; used as a curl dependency.
  • popt 1.13
  • psutils 1.17
    Built as a groff 1.20 dependency
  • python 2.5.6
    Built to explore building more recent samba revisions as the 4.x build system requires python.
  • samba
    Only smbclient 3.6.26 was built (not all of samba)
    Built to allow interaction with Windows servers that have the insecure SMB1 protocol disabled.
  • sudo 1.6.9p23
    Built to allow limited use of per-command elevated privileges with less complication than `su -c` requires.
  • texinfo 6.2
    Built as a groff 1.20 dependency
  • xz 5.0.8
    Built to allow unpacking source archives needed to build updated open source software (i.e. grep).
  • zlib 1.2.11
    Used to build openssl and curl.